import { h } from '../webmapgl.core.js';

import { d as createThemedClasses } from './chunk-7c632336.js';

class Legend {
    render() {
        return (h("ion-item-group", null,
            h("slot", { name: "start" }),
            h("slot", null),
            h("slot", { name: "end" })));
    }
    static get is() { return "gl-legend"; }
    static get properties() { return {
        "el": {
            "elementRef": true
        }
    }; }
}

class ItemGroup {
    hostData() {
        return {
            "role": "group",
            class: Object.assign({}, createThemedClasses(this.mode, "item-group"), { "item": true })
        };
    }
    static get is() { return "ion-item-group"; }
    static get style() { return "ion-item-group{display:block}.item-group-md ion-item-sliding:last-child ion-item,.item-group-md ion-item:last-child{--border-width:0}"; }
    static get styleMode() { return "md"; }
}

export { Legend as GlLegend, ItemGroup as IonItemGroup };
